openchange-devel-1.0-7.0.1.el6.centos.i686.rpm


Advertisement

Description

openchange-devel - Developer tools for OpenChange libraries

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename openchange-devel-1.0-7.0.1.el6.centos.i686.rpm
Package name openchange-devel
Package version 1.0
Package release 7.0.1.el6.centos
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage http://www.openchange.org/
License GPLv3+ and Public Domain
Maintainer -
Download size 142.62 KB
Installed size 1.06 MB
This package provides the development tools and headers for
OpenChange, providing libraries to access Microsoft Exchange servers
using native protocols.

Alternatives

Package Version Architecture Repository
openchange-devel-1.0-7.0.1.el6.centos.x86_64.rpm 1.0 x86_64 CentOS
openchange-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libmapi-openchange.so.0 -
libmapiadmin.so.0 -
libocpf.so.0 -
openchange = 1.0-7.0.1.el6.centos
pkgconfig(dcerpc) -
pkgconfig(dcerpc_samr) -
pkgconfig(ldb) -
pkgconfig(ndr) -
pkgconfig(samba-hostconfig) -
pkgconfig(talloc) -
pkgconfig(tevent) -

Provides

Name Value
openchange-devel = 1.0-7.0.1.el6.centos
openchange-devel(x86-32) = 1.0-7.0.1.el6.centos
pkgconfig(libmapi) = 1.0
pkgconfig(libmapiadmin) = 1.0
pkgconfig(libocpf) = 1.0

Download

Type URL
Mirror mirror.centos.org
Binary Package openchange-devel-1.0-7.0.1.el6.centos.i686.rpm
Source Package openchange-1.0-7.0.1.el6.centos.src.rpm

Install Howto

Install openchange-devel rpm package:

# yum install openchange-devel

Files

Path
/usr/include/gen_ndr/exchange.h
/usr/include/gen_ndr/ndr_exchange.h
/usr/include/gen_ndr/ndr_property.h
/usr/include/gen_ndr/property.h
/usr/include/libmapi/emsmdb.h
/usr/include/libmapi/idset.h
/usr/include/libmapi/libmapi.h
/usr/include/libmapi/mapi_context.h
/usr/include/libmapi/mapi_id_array.h
/usr/include/libmapi/mapi_nameid.h
/usr/include/libmapi/mapi_notification.h
/usr/include/libmapi/mapi_object.h
/usr/include/libmapi/mapi_profile.h
/usr/include/libmapi/mapi_provider.h
/usr/include/libmapi/mapicode.h
/usr/include/libmapi/mapidefs.h
/usr/include/libmapi/nspi.h
/usr/include/libmapi/property_altnames.h
/usr/include/libmapi/property_tags.h
/usr/include/libmapi/version.h
/usr/include/libmapi++/Doxyfile
/usr/include/libmapi++/Doxyfile.in
/usr/include/libmapi++/Doxyfile.in.generate-xml-doc
/usr/include/libmapi++/attachment.h
/usr/include/libmapi++/clibmapi.h
/usr/include/libmapi++/folder.h
/usr/include/libmapi++/libmapi++-example.doxy
/usr/include/libmapi++/libmapi++-mainpage.doxy
/usr/include/libmapi++/libmapi++.h
/usr/include/libmapi++/mapi_exception.h
/usr/include/libmapi++/message.h
/usr/include/libmapi++/message_store.h
/usr/include/libmapi++/object.h
/usr/include/libmapi++/profile.h
/usr/include/libmapi++/property_container.h
/usr/include/libmapi++/session.h
/usr/include/libmapi++/examples/foldertree.cpp
/usr/include/libmapi++/examples/messages.cpp
/usr/include/libmapi++/src/attachment.cpp
/usr/include/libmapi++/src/folder.cpp
/usr/include/libmapi++/src/mapi_exception.cpp
/usr/include/libmapi++/src/message.cpp
/usr/include/libmapi++/src/object.cpp
/usr/include/libmapi++/src/profile.cpp
/usr/include/libmapi++/src/session.cpp
/usr/include/libmapi++/tests/attach_test.cpp
/usr/include/libmapi++/tests/exception_test.cpp
/usr/include/libmapi++/tests/profile_test.cpp
/usr/include/libmapi++/tests/test.cpp
/usr/include/libmapi/socket/netif.h
/usr/include/libmapiadmin/libmapiadmin.h
/usr/include/libocpf/ocpf.h
/usr/lib/libmapi-openchange.so
/usr/lib/libmapiadmin.so
/usr/lib/libocpf.so
/usr/lib/pkgconfig/libmapi.pc
/usr/lib/pkgconfig/libmapiadmin.pc
/usr/lib/pkgconfig/libocpf.pc

Changelog

2017-03-23 - Johnny Hughes <johnny@centos.org> - 1.0-7.0.1
- Need to build against the latest samba4 .. no code changes
2016-04-07 - Milan Crha <mcrha@redhat.com> - 1.0-7
- Add a patch to fix connection string (Related: #1322688)
2013-10-16 - Milan Crha <mcrha@redhat.com> - 1.0-6
- Add a patch for RH bug #665967 (Free/busy fails to be fetched)
2013-01-17 - Milan Crha <mcrha@redhat.com> - 1.0-4
- Use current version (1.0-4) for a multilib obsolete (RH bug #881698).
2013-01-08 - Milan Crha <mcrha@redhat.com> - 1.0-3
- Add patch to be able to send large messages (RH bug #870405)
2013-01-07 - Matthew Barnes <mbarnes@redhat.com> - 1.0-2
- Drop multilib by obsoleting openchange < 0.9 (RH bug #881698).
2012-10-03 - Matthew Barnes <mbarnes@redhat.com> - 1.0-1
- Rebase to 1.0 using the rpm spec from Fedora 18.
2010-06-25 - Milan Crha <mcrha@redhat.com> - 0.9-7
- Backport unicode and properties support (RH bug #605364).
2010-06-24 - Matthew Barnes <mbarnes@redhat.com> - 0.9-6
- Disable python and server subpackages (RH bug #603688).
2010-06-23 - Matthew Barnes <mbarnes@redhat.com> - 0.9-5
- Spec file cleanups.

See Also

Package Description
openchange-devel-docs-1.0-7.0.1.el6.centos.i686.rpm Developer documentation for OpenChange libraries
opencryptoki-3.2-2.el6.i686.rpm Implementation of the PKCS#11 (Cryptoki) specification v2.11
opencryptoki-devel-3.2-2.el6.i686.rpm Development files for openCryptoki
opencryptoki-libs-3.2-2.el6.i686.rpm The runtime libraries for opencryptoki package
openct-0.6.19-4.el6.i686.rpm Middleware framework for smart card terminals
openct-devel-0.6.19-4.el6.i686.rpm OpenCT development files
opencv-2.0.0-12.el6.i686.rpm Collection of algorithms for computer vision
opencv-devel-2.0.0-12.el6.i686.rpm Development files for using the OpenCV library
opencv-devel-docs-2.0.0-12.el6.noarch.rpm Development files for using the OpenCV library
opencv-python-2.0.0-12.el6.i686.rpm Python bindings for apps which use OpenCV
openhpi-2.14.1-6.el6.i686.rpm Hardware Platform Interface library and tools
openhpi-devel-2.14.1-6.el6.i686.rpm The development environment for the openhpi project
openhpi-libs-2.14.1-6.el6.i686.rpm The system libraries for the openhpi project
openhpi-subagent-2.3.4-10.el6.i686.rpm NetSNMP subagent for OpenHPI
openhpi32-3.4.0-2.el6.i686.rpm Hardware Platform Interface library and tools
Advertisement
Advertisement